Page MenuHomePhabricator

[clang-offload-bundler] add -input/-output options
ClosedPublic

Authored by scchan on Feb 28 2022, 7:44 AM.

Details

Summary

Currently, clang-offload-bundler has -inputs and -outputs options that accept values with comma as the delimiter. This causes issues with file paths containing commas, which are valid file paths on Linux.

This add two new options -input and -output, which accept one single file, and allow multiple instances. This allows arbitrary file paths. The old -inputs and -outputs options will be kept for backward compatibility, but are not allowed to be used with -input and -output options for simplicity. In the future, -inputs and -outputs options will be phasing out.

RFC: https://discourse.llvm.org/t/rfc-adding-input-and-output-options-to-clang-offload-bundler/60049

Diff Detail

Event Timeline

scchan created this revision.Feb 28 2022, 7:44 AM
scchan requested review of this revision.Feb 28 2022, 7:44 AM
Herald added a project: Restricted Project. · View Herald Transcript
scchan added a reviewer: tra.Feb 28 2022, 7:45 AM
scchan updated this revision to Diff 418710.Mar 28 2022, 2:36 PM

fix lit test failures on Windows, rebased

Herald added a project: Restricted Project. · View Herald TranscriptMar 28 2022, 2:36 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
scchan updated this revision to Diff 418711.Mar 28 2022, 2:41 PM

update the clang-offload-bundler-asserts-on test

yaxunl accepted this revision.Mar 29 2022, 8:52 AM

LGTM. Thanks.

This revision is now accepted and ready to land.Mar 29 2022, 8:52 AM
scchan updated this revision to Diff 419847.Apr 1 2022, 1:29 PM

update the failing lit tests to recognize the new switches

scchan updated this revision to Diff 420218.Apr 4 2022, 9:50 AM
  • fixed the hip-link-bundle-archive.hip test issue on Windows
  • fixed a couple of formatting issues
yaxunl accepted this revision.Apr 5 2022, 7:38 AM
This revision was automatically updated to reflect the committed changes.